Upgrade problem v. 2.3 to 2.4.4

Installazione, configurazione generale, notifiche, API, lingue, problemi server
Post Reply
bbater2021
Newbie
Posts: 5
Joined: Wed Jul 21, 2021 6:30 pm

Upgrade problem v. 2.3 to 2.4.4

Post by bbater2021 »

I followed instructions at https://docs.formalms.org/reference-gui ... _procedure and copied new files to server. The instruction to go to http://www.yourwebsite.com/upgrade gave me no upgrade option and seemed entirely irrelevant. I then logged-in as admin and saw a message 'You need database upgrade'. I clicked it and followed instructions but at System Check stage the [Next step] button was inactive. Please advise what I do next to upgrade the database, bearing in mind I am on a hosted server, not my own.

Many thanks,

Bob

alfa24
Senior Boarder
Posts: 1264
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Upgrade problem v. 2.3 to 2.4.4

Post by alfa24 »

You have limited debug capabilities on a hosted server, and you need system investigation to understand what went wrong.
I'm Jasmines, the One. If you need, you can contact me.

User avatar
max
FormaLms Guru
Posts: 2529
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Upgrade problem v. 2.3 to 2.4.4

Post by max »

bbater2021 wrote:
Thu Jul 22, 2021 6:52 pm
I followed instructions at https://docs.formalms.org/reference-gui ... _procedure and copied new files to server. The instruction to go to http://www.yourwebsite.com/upgrade gave me no upgrade option and seemed entirely irrelevant. I then logged-in as admin and saw a message 'You need database upgrade'. I clicked it and followed instructions but at System Check stage the [Next step] button was inactive. Please advise what I do next to upgrade the database, bearing in mind I am on a hosted server, not my own.

Many thanks,

Bob
Sorry for asking a stupid question: for sure you typed "xxxxxxxx/upgrade" where xxxxx is your domain, and not literally "yourwebsite.com/upgrade", right?
Sorry again, but I had to ask.
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

bbater2021
Newbie
Posts: 5
Joined: Wed Jul 21, 2021 6:30 pm

Re: Upgrade problem v. 2.3 to 2.4.4

Post by bbater2021 »

Not a stupid question, Max. I did enter the URL as it was (doh!). I'll try the correct one now...

bbater2021
Newbie
Posts: 5
Joined: Wed Jul 21, 2021 6:30 pm

Re: Upgrade problem v. 2.3 to 2.4.4

Post by bbater2021 »

Via the correct URL (greenpath.fyi/upgrade) I go though the same pages as before until the System Check page, when the [Next step] button is again inactive.
Attachments
2021-07-23_16-49-46.png

User avatar
max
FormaLms Guru
Posts: 2529
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Upgrade problem v. 2.3 to 2.4.4

Post by max »

And do you see a red-coloured value, highlighting an issue? I see it right at the top, it says 7.4.21 and it's in red. And Forma 2 only supports 7.0.33

Forma 3 will support newer versions of php, but until then you should ask your provider to downgrade the php version.
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

bbater2021
Newbie
Posts: 5
Joined: Wed Jul 21, 2021 6:30 pm

Re: Upgrade problem v. 2.3 to 2.4.4

Post by bbater2021 »

Thanks Max. My management console reports that the domain in which Forma LMS is installed has PHP 5.6 installed. 7.4 is in the main domain, so maybe the install procedure is picking up the PHP version from the main domain. Other than 5.6, my other choices for PHP version are all 7+, as you can see from the image attached. I think the easiest thing for me to do to get under way is to delete the v. 2.4.4 install and revert to my backup of v. 2.3,. then wait for v. 3 to come out. Thanks for sticking with the problem anyway.

Regards,

Bob
Attachments
2021-07-24_16-30-36.png

alfa24
Senior Boarder
Posts: 1264
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Upgrade problem v. 2.3 to 2.4.4

Post by alfa24 »

The best thing is learning how the web server handles PHP versions for vhosts.
I'm Jasmines, the One. If you need, you can contact me.

Post Reply